Bulk update notifications
PUT
/
me
/
notifications
Bulk update notifications
curl --request PUT \
--url https://stage-api.findity.com/api/v1/expense/me/notifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"2057a6c511bb4a4b8442812bf897eeae",
"5ea0439c322e45199aa2910fad5c053b"
]
}
'import requests
url = "https://stage-api.findity.com/api/v1/expense/me/notifications"
payload = { "ids": ["2057a6c511bb4a4b8442812bf897eeae", "5ea0439c322e45199aa2910fad5c053b"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['2057a6c511bb4a4b8442812bf897eeae', '5ea0439c322e45199aa2910fad5c053b']})
};
fetch('https://stage-api.findity.com/api/v1/expense/me/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/expense/me/notifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
'2057a6c511bb4a4b8442812bf897eeae',
'5ea0439c322e45199aa2910fad5c053b'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/expense/me/notifications"
payload := strings.NewReader("{\n \"ids\": [\n \"2057a6c511bb4a4b8442812bf897eeae\",\n \"5ea0439c322e45199aa2910fad5c053b\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-api.findity.com/api/v1/expense/me/notifications")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n \"2057a6c511bb4a4b8442812bf897eeae\",\n \"5ea0439c322e45199aa2910fad5c053b\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/expense/me/notifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n \"2057a6c511bb4a4b8442812bf897eeae\",\n \"5ea0439c322e45199aa2910fad5c053b\"\n ]\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
read, unread, delete Body
application/json
ids of notification. Required if action is unread. May be left empty or omitted if other action then all notifications will be affected.
Response
204
OK
Last modified on August 31, 2026
⌘I
Bulk update notifications
curl --request PUT \
--url https://stage-api.findity.com/api/v1/expense/me/notifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"2057a6c511bb4a4b8442812bf897eeae",
"5ea0439c322e45199aa2910fad5c053b"
]
}
'import requests
url = "https://stage-api.findity.com/api/v1/expense/me/notifications"
payload = { "ids": ["2057a6c511bb4a4b8442812bf897eeae", "5ea0439c322e45199aa2910fad5c053b"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['2057a6c511bb4a4b8442812bf897eeae', '5ea0439c322e45199aa2910fad5c053b']})
};
fetch('https://stage-api.findity.com/api/v1/expense/me/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/expense/me/notifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
'2057a6c511bb4a4b8442812bf897eeae',
'5ea0439c322e45199aa2910fad5c053b'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/expense/me/notifications"
payload := strings.NewReader("{\n \"ids\": [\n \"2057a6c511bb4a4b8442812bf897eeae\",\n \"5ea0439c322e45199aa2910fad5c053b\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-api.findity.com/api/v1/expense/me/notifications")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n \"2057a6c511bb4a4b8442812bf897eeae\",\n \"5ea0439c322e45199aa2910fad5c053b\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/expense/me/notifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n \"2057a6c511bb4a4b8442812bf897eeae\",\n \"5ea0439c322e45199aa2910fad5c053b\"\n ]\n}"
response = http.request(request)
puts response.read_body
